Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deMemoryManager Class Reference

`#include <deMemory_priv.hpp>`

Inheritance diagram for deMemoryManager:

[legend]
Collaboration diagram for deMemoryManager:

[legend]
List of all members.

## Public Member Functions
| deMemoryManager (char *ConfigFile)
| ~deMemoryManager ()
deBoolean | IsInitialized ()
| function to see if we initialized properly
void * | Malloc (unsigned int Size, MallocType Type, const char *File, long Line)
void | Free (void *Ptr, FreeType Type, const char *File, long Line)
void * | MemCpy (void *To, const void *From, unsigned int Size, const char *File, long Line)
void * | MemSet (void *To, int Value, unsigned int Size, const char *File, long Line)
## Private Types
typedef deMemoryManager::AllocStruct | AllocStruct
typedef deMemoryManager::RealAllocStruct | RealAllocStruct
## Private Member Functions
void | CheckMemoryLeaks ()
RedBlackNode * | AllocRealMem (DWORD *Size)
void | ReleaseAllRealAllocMem ()
void | OutputMemLeak (RedBlackNode *LeakAlloc)
## Private Attributes
deBoolean | Initialized
RedBlackNode * | RootFreeNode
RedBlackNode * | RootAllocNode
RealAllocStruct * | RootRealAllocList

## Member Typedef Documentation

typedef struct deMemoryManager::AllocStruct deMemoryManager::AllocStruct`[private]`

typedef struct deMemoryManager::RealAllocStruct deMemoryManager::RealAllocStruct`[private]`

## Constructor & Destructor Documentation

deMemoryManager::deMemoryManager | ( | char * | ConfigFile | ) |

deMemoryManager::~deMemoryManager | ( |  | ) |

## Member Function Documentation

RedBlackNode * deMemoryManager::AllocRealMem | ( | DWORD * | Size | ) | `[private]`

void deMemoryManager::CheckMemoryLeaks | ( |  | ) | `[private]`

void deMemoryManager::Free | ( | void * | Ptr,
|  | FreeType | Type,
|  | const char * | File,
|  | long | Line
| ) | `[virtual]`

| Implements IdeMemoryManager.

deBoolean deMemoryManager::IsInitialized | ( |  | ) | `[virtual]`

| function to see if we initialized properly Implements IdeMemoryManager.

void * deMemoryManager::Malloc | ( | unsigned int | Size,
|  | MallocType | Type,
|  | const char * | File,
|  | long | Line
| ) | `[virtual]`

| Implements IdeMemoryManager.

void * deMemoryManager::MemCpy | ( | void * | To,
|  | const void * | From,
|  | unsigned int | Size,
|  | const char * | File,
|  | long | Line
| ) | `[virtual]`

| Implements IdeMemoryManager.

void * deMemoryManager::MemSet | ( | void * | To,
|  | int | Value,
|  | unsigned int | Size,
|  | const char * | File,
|  | long | Line
| ) | `[virtual]`

| Implements IdeMemoryManager.

void deMemoryManager::OutputMemLeak | ( | RedBlackNode * | LeakAlloc | ) | `[private]`

void deMemoryManager::ReleaseAllRealAllocMem | ( |  | ) | `[private]`

## Member Data Documentation

deBoolean deMemoryManager::Initialized`[private]`

RedBlackNode* deMemoryManager::RootAllocNode`[private]`

RedBlackNode* deMemoryManager::RootFreeNode`[private]`

RealAllocStruct* deMemoryManager::RootRealAllocList`[private]`

The documentation for this class was generated from the following files:

- deMemory_priv.hpp
- deMemory.cpp